%define section	free

Name:			pircbot
Version:		1.4.0
Release:		1jpp
Epoch:			0
Summary:		Java framework for writing IRC bots quickly and easily
License:		GPL
URL:			http://www.jibble.org/pircbot.php
Group:			Networking/IRC
Vendor:			JPackage Project
Distribution:	JPackage
Source0:		http://www.jibble.org/files/pircbot-1.4.0.zip
Requires:		jpackage-utils >= 0:1.5
BuildRequires:	jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PircBot is a Java framework for writing IRC bots quickly and easily.
Its features include an event-driven architecture to handle common
IRC events, flood protection, DCC resuming support, ident support,
and more. Its comprehensive logfile format is suitable for use with
pisg to generate channel statistics. Full documentation is included,
and this page contains a 5-minute step-by-step guide to making your
first IRC bot.

%package    javadoc
Summary:    Javadoc for PircBot
Group:      Development/Documentation

%description    javadoc
Javadoc for PircBot.

%prep
%setup -q

%build
unzip %{name}.jar
rm -f %{name}.jar
%javac `find org -type f -name '*.java'`
%jar cvmf /dev/null %{name}.jar `find org -type f -name '*.class'`
rm -rf javadocs
%javadoc -d javadocs `find org -type f -name '*.java'`

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Tue Apr 06 2004 David Walluck <david@anti-microsoft.org> 0:1.4.0-1jpp
- release
